]> Dogcows Code - chaz/tar/blobdiff - tests/gzip.at
Update copyright years.
[chaz/tar] / tests / gzip.at
index 5da017c8aeda49877d945b3ed0f10a68d4ee1287..f5c588f63b48cf73ae8b434093e635573c2e2408 100644 (file)
@@ -1,22 +1,23 @@
 # Process this file with autom4te to create testsuite. -*- Autotest -*-
 
 # Test suite for GNU tar.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright 2004, 2007, 2009-2010, 2013-2014 Free Software Foundation,
+# Inc.
 
-# This program is free software; you can redistribute it and/or modify
+# This file is part of GNU tar.
+
+# GNU tar is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
 
-# This program is distributed in the hope that it will be useful,
+# GNU tar is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # tar should detect that its gzip child failed.
 
@@ -26,16 +27,17 @@ AT_KEYWORDS([gzip])
 unset TAR_OPTIONS
 
 AT_CHECK([
-tar xfvz /dev/null
-test $? = 2 || exit 1
+AT_GZIP_PREREQ
+tar xfvz /dev/null 2>err
+RC=$?
+sed -n '/^tar:/p' err >&2
+exit $RC
 ],
-[0],
+[2],
 [],
-[
-gzip: stdin: unexpected end of file
-tar: Child returned status 1
-tar: Error exit delayed from previous errors
+[tar: Child returned status 1
+tar: Error is not recoverable: exiting now
 ],
 [],[])
 
-AT_CLEANUP
\ No newline at end of file
+AT_CLEANUP
This page took 0.026636 seconds and 4 git commands to generate.